[SCM] Gerris Flow Solver branch, upstream, updated. b3aa46814a06c9cb2912790b23916ffb44f1f203

Stephane Popinet popinet at users.sf.net
Fri May 15 02:54:25 UTC 2009


The following commit has been merged in the upstream branch:
commit d9cd4fa52da9c44ab586eadf7c14af824d2a1973
Author: Stephane Popinet <popinet at users.sf.net>
Date:   Thu Aug 2 13:32:28 2007 +1000

    Improved error checking for ppm2mpeg
    
    darcs-hash:20070802033228-d4795-b48c23a99b97a5d478695731df6ac17744c47272.gz

diff --git a/tools/ppm2mpeg b/tools/ppm2mpeg
index a27ce27..b603587 100755
--- a/tools/ppm2mpeg
+++ b/tools/ppm2mpeg
@@ -1,8 +1,23 @@
 #!/bin/bash
 
+if test -z "`which ffmpeg`"; then
+    echo "ppm2mpeg: error: could not find 'ffmpeg'" > /dev/stderr
+    exit 1
+fi
+
 command="ffmpeg -f image2pipe -vcodec ppm -i - -vcodec mpeg1video -b 1800 -f mpeg1video"
 while test $# -gt 0; do
     command="$command $1"
     shift
 done
-$command - 2> /dev/null
+
+log=`mktemp -t ppm2mpeg.XXXXXX`
+if $command - 2> $log; then :
+else
+    cat $log > /dev/stderr
+    rm -f $log
+    exit 1
+fi
+rm -f $log
+
+exit 0

-- 
Gerris Flow Solver



More information about the debian-science-commits mailing list